Subject: Re: Can't use key authentication on x64 Server 2003 R2
From: Csaba Raduly <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 30 Dec 2009 10:56:39 +0200
List-Id: <cygwin.cygwin.com>

On Wed, Dec 30, 2009 at 4:56 AM, Gordon Messmer <> wrote:
> Since upgrading to Cygwin 1.7, I'm no longer able to use key authentication
> on one of several Windows systems.  All of the working systems are 32 bit
> installs, the one which isn't working is 64 bit.
.....
> When the client connects, I get this error:
>
>   # ssh -i id_rsa [email-masked]
>   Last login: Tue Dec 29 13:17:34 2009 from backup.xxx.local
>          1 [main] -bash 6832 C:\cygwin\bin\bash.exe: *** fatal error -
>   couldn't dynamically determine load address for 'WSAGetLastError'
>   (handle 0xFFFFFFFF), Win32 error 126
>   Connection to exch64.xxx.local closed.

If I understand this correctly, it is the ssh client which quits
abruptly. Error 126 is "The notorious error 126 (ERROR_MOD_NOT_FOUND)
when loading DLL/DSO's in Win32" (first hit when googling "Win32 error
126"). However, WSAGetLastError is in ws2_32.dll, which is part of
Windows. But, being a 32-bit dll in a 64-bit Windows, maybe it's in
another directory which is not on the path. Check the folder of
ws2_32.dll

Were you connecting from exch64 to exch64 ?

Hope this helps,
Csaba
-- 
Life is complex, with real and imaginary parts

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple